/*
 * Copyright (c) 2011, diablitozzz.org All import org.apache.commons.digester.annotations.rules.ObjectCreate;
 * import org.apache.commons.digester.annotations.rules.SetProperty;
 * following conditions are met: * Redistributions
 * of source code must retain the above copyright notice, this list of
 * conditions and the following disclaimer. * Redistributions in binary form
 * must reproduce the above copyright notice, this list of conditions and the
 * following disclaimer in the documentation and/or other materials provided
 * with the distribution. * Neither the name of diablitozzz.org nor the names of
 * its contributors may be used to endorse or promote products derived from this
 * software without specific prior written permission. THIS SOFTWARE IS PROVIDED
 * BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package org.diablitozzz.jera.jetty.config;

import javax.xml.xpath.XPathExpressionException;

import org.w3c.dom.Node;

public class ConfigBuild {

    private String ant;
    private String classes;
    private String scan;

    public String getAnt()
    {
        return this.ant;
    }

    public String getClasses()
    {
        return this.classes;
    }

    public String getScan()
    {
        return this.scan;
    }

    public void load(Node node, ConfigUtils configUtils) throws XPathExpressionException
    {
        this.ant = configUtils.makeStringValue(node, "ant");
        this.scan = configUtils.makeStringValue(node, "scan");
        this.classes = configUtils.makeStringValue(node, "classes");
    }
}
